// Class Code 18B
// Demo 1 Slow
// This runs slower than 60 frames per second ( on Jim's computer)
// because the background pattern is compex enough that it takes
// Processing longer than 1/60 of a second to render the entire frame.



void setup() 
{
  size(600, 600);
  rectMode( CENTER );
  ellipseMode( CENTER );
  textSize( 24 );
  textAlign( CENTER, CENTER );
  smooth( );
}

void draw() 
{
       background( 0, 200, 0 );

       stroke( 0 );
       noFill( );
       for ( int x = 0; x < width; x += 10 )
       {
         line( x, 0, width-x, height);
       } 
     
       for( int r = 0; r < width; r+=5)
       {
         for( int c = 0; c < height; c += 5)
         {
            ellipse( r, c, 4, 4 );
         }
       } 
       
     // draw moving figures
     noStroke( );
     fill( 255,  0, 0 );
     ellipse( width/2, frameCount%height, 20, 30 );
     ellipse( width/2, height - frameCount%height, 20, 30 );
     ellipse( frameCount%width, height/2, 40, 30 );
     ellipse( width - frameCount%width, height/2, 40, 30 );
     
     // show frame rate
     fill( 255 );
     rect( width/4, height*.105, 40, 24 );
     fill( 0, 0, 255 );
     text( int( frameRate), width/4, height*.10 );
}
